diff --git a/src/test/regress/expected/float4-misrounded-input.out b/src/test/regress/expected/float4-misrounded-input.out
index d21e1fba1f..150692a812 100644
--- a/src/test/regress/expected/float4-misrounded-input.out
+++ b/src/test/regress/expected/float4-misrounded-input.out
@@ -939,3 +939,8 @@ drop cascades to cast from xfloat4 to real
 drop cascades to cast from real to xfloat4
 drop cascades to cast from xfloat4 to integer
 drop cascades to cast from integer to xfloat4
+-- Add test case for float4() type fonversion function
+select float4(1234567890123456789012345678901234567890::float8);
+ERROR:  value out of range: overflow
+select float4(0.0000000000000000000000000000000000000000000001::float8);
+ERROR:  value out of range: underflow
diff --git a/src/test/regress/expected/float4.out b/src/test/regress/expected/float4.out
index 901abb1d27..0f0dbe0689 100644
--- a/src/test/regress/expected/float4.out
+++ b/src/test/regress/expected/float4.out
@@ -939,3 +939,8 @@ drop cascades to cast from xfloat4 to real
 drop cascades to cast from real to xfloat4
 drop cascades to cast from xfloat4 to integer
 drop cascades to cast from integer to xfloat4
+-- Add test case for float4() type fonversion function
+select float4(1234567890123456789012345678901234567890::float8);
+ERROR:  value out of range: overflow
+select float4(0.0000000000000000000000000000000000000000000001::float8);
+ERROR:  value out of range: underflow
diff --git a/src/test/regress/expected/numeric.out b/src/test/regress/expected/numeric.out
index 1cb3c3bfab..289c930265 100644
--- a/src/test/regress/expected/numeric.out
+++ b/src/test/regress/expected/numeric.out
@@ -1426,6 +1426,8 @@ INSERT INTO num_input_test(n1) VALUES ('555.50');
 INSERT INTO num_input_test(n1) VALUES ('-555.50');
 INSERT INTO num_input_test(n1) VALUES ('NaN ');
 INSERT INTO num_input_test(n1) VALUES ('        nan');
+INSERT INTO num_input_test(n1) values('99999999999999999999999999.998');
+INSERT INTO num_input_test(n1) values('99999999999999999999999999.997');
 -- bad inputs
 INSERT INTO num_input_test(n1) VALUES ('     ');
 ERROR:  invalid input syntax for type numeric: "     "
@@ -1459,17 +1461,19 @@ INSERT INTO num_input_test(n1) VALUES (' N aN ');
 ERROR:  invalid input syntax for type numeric: " N aN "
 LINE 1: INSERT INTO num_input_test(n1) VALUES (' N aN ');
                                                ^
-SELECT * FROM num_input_test;
-   n1    
----------
-     123
- 3245874
-  -93853
-  555.50
- -555.50
-     NaN
-     NaN
-(7 rows)
+SELECT * FROM num_input_test ORDER BY n1 DESC;
+               n1               
+--------------------------------
+                            NaN
+                            NaN
+ 99999999999999999999999999.998
+ 99999999999999999999999999.997
+                        3245874
+                         555.50
+                            123
+                        -555.50
+                         -93853
+(9 rows)
 
 --
 -- Test some corner cases for multiplication
diff --git a/src/test/regress/sql/float4.sql b/src/test/regress/sql/float4.sql
index afdb469dc8..fecc0a7d17 100644
--- a/src/test/regress/sql/float4.sql
+++ b/src/test/regress/sql/float4.sql
@@ -345,3 +345,7 @@ select float4send(flt) as ibits,
 
 -- clean up, lest opr_sanity complain
 drop type xfloat4 cascade;
+
+-- Add test case for float4() type fonversion function
+select float4(1234567890123456789012345678901234567890::float8);
+select float4(0.0000000000000000000000000000000000000000000001::float8);
\ No newline at end of file
diff --git a/src/test/regress/sql/numeric.sql b/src/test/regress/sql/numeric.sql
index a939412359..51895c426b 100644
--- a/src/test/regress/sql/numeric.sql
+++ b/src/test/regress/sql/numeric.sql
@@ -839,6 +839,8 @@ INSERT INTO num_input_test(n1) VALUES ('555.50');
 INSERT INTO num_input_test(n1) VALUES ('-555.50');
 INSERT INTO num_input_test(n1) VALUES ('NaN ');
 INSERT INTO num_input_test(n1) VALUES ('        nan');
+INSERT INTO num_input_test(n1) values('99999999999999999999999999.998');
+INSERT INTO num_input_test(n1) values('99999999999999999999999999.997');
 
 -- bad inputs
 INSERT INTO num_input_test(n1) VALUES ('     ');
@@ -850,7 +852,7 @@ INSERT INTO num_input_test(n1) VALUES ('5. 0   ');
 INSERT INTO num_input_test(n1) VALUES ('');
 INSERT INTO num_input_test(n1) VALUES (' N aN ');
 
-SELECT * FROM num_input_test;
+SELECT * FROM num_input_test ORDER BY n1 DESC;
 
 --
 -- Test some corner cases for multiplication
